<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<%--

  Created by IntelliJ IDEA.
  User: Вероника
  Date: 26.03.2017
  Time: 19:37
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<head>
    <title> Personal Student Page </title>
    <style type="text/css">
        <%@include file="/WEB-INF/bootstrap-4.0.0-alpha.6-dist/css/cssforpr.css" %>
        <%@include file="/WEB-INF/bootstrap-4.0.0-alpha.6-dist/css/bootstrap.min.css" %>
    </style>


</head>
<body>

<nav class="navbar navbar-default navbar-fixed-top">
    <div class="container">
        <a class="navbar-brand" href="#">MePhorce</a>
        <nav class="nav nav-masthead">
            <a class="nav-link" href="/">Войти</a>
            <a class="nav-link" href="/aboutUs">О проекте</a>
            <a class="nav-link" href="/registrate">Создать аккаунт</a>
            <a class="nav-link" href="/contacts">Контакты</a>
        </nav>
    </div>
</nav>

<div class="col-lg-12">
    <div class="navbar-header header">
        <center>
            <h1>
                ${Student.stFamily}
                ${Student.stFirstName}
                ${Student.stSecName}
            </h1>
        </center>
        <hr>
    </div>
</div>

<div class="wrapper">
    <div class="container">
        <div class="row">
            <div class="col-lg-3 col-lg-pull-9">
                <div class="btn-group btn-group-vertical">
                    <form>
                        <div class="sidebar-header alert alert-info ">Меню</div>
                        <li class=""> <a href="/PStudentsProjects">Мои проекты</a></li>
                        <li class=""><a href="#">Чат с клиентом</a> </li>
                        <li class=""><a href="#">Мои приглашения в проект</a> </li>
                        <li class=""><a href="/PProfileStudent">Профиль</a> </li>
                        <li class=""><a href="#">Сообщество</a> </li>
                        <li class=""><a href="/">Выход</a> </li>
                    </form>
                </div>
            </div>

            <div class="col-lg-9 col-lg-push-3">
                <form class="form-inline">
                    <h4>Проектов</h4>
                    <div class="shadow">
                        <span class="badge badge-info">${fn:length(projects)}</span>
                    </div>
                </form>
                <h5>Мои проекты</h5>
                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th class="text-center">#</th>
                        <th class="text-center">Название</th>
                        <th class="text-center">Описание</th>
                       <!-- <th class="text-center">Дата создания</th>
                        <th class="text-center">Статус</th>
                        <th class="text-center">Дата готовности</th>
                        <th class="text-center">Сумма</th>
                        <th class="text-center">Заказчик</th> -->
                    </tr>
                    </thead>

                    <tbody id="prodReportTable">
                    <c:forEach var="listValue" items="${projects}">
                    <tr>
                        <td class="text-center"><a href="/PMainWindowProject">${listValue.prId}</a></td>
                        <td class="text-center"><a href="/PMainWindowProject">${listValue.title}</a></td>
                        <td class="text-center"><a href="/PMainWindowProject">${listValue.description}</a></td>
                        <!-- <td class="text-center">${listValue.dateOfCreation}</td>
                        <td class="text-center">${listValue.status}</td>
                        <td class="text-center">${listValue.dateOfReady}</td>
                        <td class="text-center">${listValue.sum}</td> -->
                    </tr>
                    </c:forEach>

                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="text-muted">&copy;2017 Mephorce</p>
    </div>
</footer>

</body>

</html>


